<!DOCTYPE html>
<html  lang="ro">
    <head>
        <meta name="description" content="Cumpara jocuri, boardgames si puzzle-uri la preturi atractive in Iasi. Vino pe vagaunacujocuri.ro - distractia incepe acum!">
        <meta name="keywords" content="vagauna, jocuri, board games, boardgames, puzzle, puzzle 3D, zaruri, iasi, joc cooperativ, jocuri de societate">
        <link rel="stylesheet" href="/resurse/css/produse.css" type="text/css"/>
        <title>Produsele Vagauna cu jocuri</title>
        <%- include("../fragmente/head") %>    
        <link rel="stylesheet" href="/resurse/css/produse1200.css" type="text/css" media="screen and (max-width:1200px)"> 
        <link rel="stylesheet" href="/resurse/css/produse800.css" type="text/css" media="screen and (max-width:800px)"> 
        <!-- <script type="text/javascript" src=/resurse/js/produse.js></script> -->
        <script type="text/javascript" src=/resurse/js/produse-filtre-onchange.js></script>

    </head>
    <body>
        <%- include("../fragmente/header") %>
        <main>
            <section id="opt-filt-sort container">
                <div class="row gy-5">
                    <label class="filt-nume col-6 col-sm-4">
                        <div class="titlu-filtre"><%- locals.labelNume %>:</div>
                        <input type="text" id="inp-nume">
                    </label>
                    <label class="filt-brand col-6 col-sm-4"> 
                        <div class="titlu-filtre"><%- locals.labelProducator %>:</div>
                        <input id="inp-brand" list="val-brand">
                        <datalist id="val-brand">
                            <option value="Ravensburger"></option>
                            <option value="Castorland"></option>
                            <option value="Heye"></option>
                            <option value="Days of Wonder"></option>
                            <option value="IELLO"></option>
                            <option value="Wizards of the Coast"></option>
                            <option value="Lex Games"></option>
                        </datalist>
                    </label>
                    <div class="filt-tematica col-6 col-sm-4">
                        <div class="titlu-filtre"><%- locals.labelTematica %></div>
                        <input type="text" id="inp-tematica">
                    </div>
                </div>
                <div class="row gy-5">
                    <div class="filt-pret col-6 col-sm-4">
                                <div>
                                    <div class="titlu-filtre"><%- locals.labelPret %>:</div>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad1" name="gr_rad" value="<%- locals.pretMin %>:50" type="radio"/>Sub 50 lei</label></p>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad2" name="gr_rad" value="50:100" type="radio"/>50 lei - 100 lei</label></p>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad3" name="gr_rad" value="100:150" type="radio"/>100 lei - 150 lei</label></p>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad4" name="gr_rad" value="150:200" type="radio"/>150 lei - 200 lei</label></p>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad5" name="gr_rad" value="200:250" type="radio"/>200 lei - 250 lei</label></p>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad6" name="gr_rad" value="250:<%- locals.pretMax %>" type="radio"/>250 lei - 300 lei</label></p>
                                    <p><label class="btn btn-outline-secondary"><input id="i_rad7" name="gr_rad" value="toate" checked type="radio"/>Toate</label></p>
                                </div>
                    </div>
                    <div class="f-mec-float col-6 col-sm-4">
                        <div class="row gy-5">
                            <div class="col-12 filt-mec">
                                <div class="form-check">
                                    <div class="titlu-filtre"><%- locals.labelMecanism %>:</div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="tabl-mod" name="tip-mec" value="<%- locals.mecanisme[0].unnest %>" checked><%- locals.mecanisme[0].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="plas-munc" name="tip-mec" value="<%- locals.mecanisme[1].unnest %>" checked><%- locals.mecanisme[1].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="contr" name="tip-mec" value="<%- locals.mecanisme[2].unnest %>" checked><%- locals.mecanisme[2].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="zar" name="tip-mec" value="<%- locals.mecanisme[3].unnest %>" checked><%- locals.mecanisme[3].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="manag-mana" name="tip-mec" value="<%- locals.mecanisme[4].unnest %>" checked><%- locals.mecanisme[4].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="puzz" name="tip-mec" value="<%- locals.mecanisme[5].unnest %>" checked><%- locals.mecanisme[5].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="ech" name="tip-mec" value="<%- locals.mecanisme[6].unnest %>" checked><%- locals.mecanisme[6].unnest %></label></div>
                                    <div><label class="form-check-label"><input class="tmec-chbx form-check-input" type="checkbox" id="altele" name="tip-mec" value="<%- locals.mecanisme[7].unnest %>" checked><%- locals.mecanisme[7].unnest %></label></div>
                                </div>
                            </div>
                            <div class="col-12 form-floating">
                                <textarea class="form-control" placeholder="Cautati in descrierea produsului" id="inp-story"></textarea>
                                <label for="inp-story">Cautati in descrierea produsului (<%- locals.labelDescriere %>)</label>
                            </div>
                        </div>
                    </div>
                    <div class="f-mult-age-njuc col-6 col-sm-4">
                        <div class="row gy-3">
                            <div class="f-categ-mult col-12">
                                <label class="filt-categ col-12">
                                    <div class="titlu-filtre">Selectati valorile pe care NU le doriti (<%- locals.labelTematica %>):</div>
                                    <select id="inp-categ-mult" multiple size="3">
                                        <% for (let opt of locals.optiuni) { %>
                                            <option class="cm" value="<%- opt.unnest %>"><%- opt.unnest %> </option>
                                        <% } %>
                                    </select>
                                </label>
                            </div>
                            <div class="filtru-varsta col-12">
                                <label for="inp-varsta"><div class="titlu-filtre">Varsta minima (<%- locals.labelVarsta %>):</div></label>
                                <div id="range-varsta-container">
                                    <div>
                                        <input type="range" class="form-range" id="inp-varsta" min="<%-locals.valMinVarsta%>" max="<%-locals.valMaxVarsta%>" list="val-varsta" value="0">
                                        <datalist id="val-varsta">
                                            <% for(let i = locals.valMinVarsta; i <=locals.valMaxVarsta; i++ ){%>
                                                <option value = "<%-i%>" label="<%-i%>"></option>
                                            <% } %>
                                        </datalist>
                                    </div>
                                    <span id="val-varsta-afisata">(0)</span>
                                </div>
                            </div>
                            <label class="filt-nj col-12">
                                <div class="titlu-filtre">Numar jucatori (<%- locals.labelJuc %>):</div>
                                <div class="container-juc">
                                    <div class="val-left">0</div>
                                    <input type="range" class="form-range" id="inp-njuc" value="0" min="0" max="<%- locals.nrMaxJuc %>"> 
                                    <div class="val-right"><%- locals.nrMaxJuc %></div>
                                    <span id="jucRange">(0)</span>
                                </div>
                            </label>
                            <label class="filt-lang col-12">
                                <div class="titlu-filtre"><%- locals.labelLimba %>:</div>
                                <select id="inp-limba">
                                    <option id="sel-toate" value="oricare" selected>Oricare</option>
                                    <option id="sel-eng" value="<%- locals.limba[1].limba %>"><%- locals.limba[1].limba %></option>
                                    <option id="sel-ro" value="<%- locals.limba[2].limba %>"><%- locals.limba[2].limba %></option>
                                    <option id="sel-ger" value="<%- locals.limba[3].limba %>"><%- locals.limba[3].limba %></option>
                                </select>
                            </label>
                            <div class="filt-ext col-12"> 
                                <div class="titlu-filtre"><%- locals.labelExpansiune %>:</div>
                                <p><label><input id="extensie_rad1" name="inp-extensie" value="true" type="radio"/>Da</label></p>
                                <p><label><input id="extensie_rad2" name="inp-extensie" value="false" type="radio"/>Nu</label></p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row gy-4">
                    <div class="col-3">
                        <p class="btn-filt-reset">
                            <button class="btn btn-secondary btn-filt" id="filtrare">
                                <i class="bi bi-filter-left"></i>
                                <span class="d-none d-sm-inline">Filtreaza</span>
                            </button>
                            <button class="btn btn-secondary btn-reset" id="resetare"><i class="bi bi-x"></i>
                                <span class="d-none d-sm-inline">Reseteaza</span>
                            </button><br/>
                        </p>
                    </div>
                    <div class="col-5">
                        <p class="btn-sort">
                            <button class="btn btn-secondary btn-sort-asc" id="sortCrescPret">
                                <i class="bi bi-sort-up"></i>
                                <span class="d-none d-sm-inline">Sorteaza crescator dupa mecanism si pret</span>
                            </button>
                            <button class="btn btn-secondary btn-sort-desc" id="sortDescrescPret">
                                <i class="bi bi-sort-down"></i>
                                <span class="d-none d-sm-inline">Sorteaza descrescator dupa mecanism si pret</span>
                            </button>
                            <p id="calcSuma">                
                                <button class="btn btn-secondary" id="btn-suma">
                                    <i class="bi bi-calculator"></i>
                                    <span class="d-none d-sm-inline">Calcul suma produse selectate</span>
                                </button>
                                <button class="btn btn-secondary" id="btn-sterge-sel">
                                    <i class="bi bi-eraser-fill"></i>
                                    <span class="d-none d-sm-inline">Sterge selectia de produse</span>
                                </button>
                            </p>  
                        </p>
                    </div>
                    <div class="col-4">
                        <!-- sortare multiselect -->
                        <label for="primary-sort" class="titlu-filtre">Sortare Primara:</label>
                        <select class="form-select" id="primary-sort">
                            <option value="nume">Nume</option>
                            <option value="pret">Pret</option>
                            <option value="mecanism">Mecanism</option>
                        </select>

                        <label for="secondary-sort" class="titlu-filtre">Sortare Secundara:</label>
                        <select class="form-select" id="secondary-sort">
                            <option value="nume">Nume</option>
                            <option value="pret">Pret</option>
                            <option value="mecanism">Mecanism</option>
                        </select>

                        <label for="order" class="titlu-filtre">Ordine sortare:</label>
                        <select class="form-select" id="inp-ordine-sort">
                            <option value="asc">Crescator</option>
                            <option value="desc">Descrescator</option>
                        </select>

                        <button class="btn btn-secondary" id="apply-sort">Sorteaza</button>
                    </div>
                </div>
            </section>
            
            <!-- <div id="p-suma">
                <p>Apăsați Alt+"c" pentru suma preturilor produselor afișate.</p>
            </div> -->

            <section id="produse">
                <h2>Produse</h2>
                <p id="fara-produse" style="display:none">Nu exista produse conform filtrarii curente.</p>
                <div class="grid-produse card">
                    <% for( let prod of locals.produse) { %>
                        <article class="produs <%-prod.categorie%>" >
                            <h3 class="nume">Nume: 
                                <a href="/produs/<%-prod.id %>" >
                                    <span class="val-nume"><%- prod.nume%></span>
                                </a>
                            </h3>
                            <!-- <div class="info-prod"> -->
                                <p class="categorie">Categorie:
                                    <span class="val-categorie"><%- prod.categorie%></span>
                                </p>
                                <p class="pret">Pret:
                                    <span class="val-pret"><%- prod.pret %></span>
                                </p>
                                <p class="varsta">Varsta minima: 
                                    <span class="val-varsta"><%- prod.varsta_min%></span>
                                </p>
                                <p class="producator">Producator: 
                                    <span class="val-brand"><%- prod.producator%></span>
                                </p>
                                <figure>
                                    <a href="/produs/<%- prod.id %>">
                                        <img src="/resurse/imagini/produse/<%- prod.imagine %>" style="width:40%;height:auto;" alt="[imagine <%- prod.nume %>]"/>
                                    </a>
                                </figure>
                                <p class="mecanism">Mecanism:
                                    <span class="val-mecanism"><%- prod.mecanism %></span>
                                </p>
                                <p class="tema">Tematica:
                                    <span class="val-tema"><%- prod.tematica %></span>
                                </p>
                                <p class="nr-min-juc"> Nr.min.jucatori: 
                                    <span class="min-juc"><%- prod.nr_min_jucatori %></span>
                                </p>
                                <p class="nr-max-juc" id="mx-j">Nr.max.jucatori: 
                                    <span class="max-juc"><%- prod.nr_max_jucatori %></span>
                                </p>
                                <p class="limba">Limba: 
                                    <span class="val-lb"><%- prod.limba %></span>
                                </p>
                                <p class="extens">Extensie: 
                                        <% if(prod.expansiune == true) { %>
                                            <span class="val-extens">Da</span>
                                        <% } else { %>
                                            <span class="val-extens">Nu</span>
                                        <% } %>
                                </p>
                                <div class="descriere">
                                    <details>
                                        <summary>Descriere:</summary>
                                        <span class="val-descr"><%- prod.descriere %></span>
                                    </details>
                                </div>
                                <p class="data-adaugare">Data adaugare:
                                    <time class="val-data"><%- prod.data_adaugare %></time>
                                </p>
                                <p class="id">ID:
                                    <span class="val-id">ar_ent_<%- prod.id %></span>
                                </p>
                            <!-- </div> -->
                            <label class="selecteaza-cos">
                                Selectează:<br/>
                                <input type="checkbox" class="select-cos" value="<%-prod.id %>" autocomplete="off">
                            </label>
                        </article>
                    <% }%>
                </div>
            </section>
        </main>

        <%- include("../fragmente/footer") %>
    </body>
</html>